[Hackage] #220: detect inconsistent package dependencies

Hackage trac at galois.com
Sun Jan 27 14:29:25 EST 2008

#220: detect inconsistent package dependencies
  Reporter:  duncan         |        Owner:                
      Type:  enhancement    |       Status:  new           
  Priority:  normal         |    Milestone:                
 Component:  Cabal library  |      Version:       
  Severity:  normal         |   Resolution:                
  Keywords:                 |   Difficulty:  hard (< 1 day)
Ghcversion:  6.8.2          |     Platform:                
Comment (by ross at soi.city.ac.uk):

 Replying to [ticket:220 duncan]:
 > The longer term solution is to allow installing multiple instances of
 the same versions of a package built against different versions of its
 dependencies. This is the functional Nix approach however it would
 probably also require support from ghc.

 Couldn't this lead to an exponential explosion in the number of package

Ticket URL: <http://hackage.haskell.org/trac/hackage/ticket/220#comment:1>
Hackage <http://haskell.org/cabal/>
Hackage: Cabal and related projects

More information about the cabal-devel mailing list